export class AuroDatepickerUtilities {
    /**
     * Returns true if value passed in is a valid date.
     * @private
     * @param {String} date - Date to validate.
     * @returns {Boolean}
     */
    private validDateStr;
    /**
     * Converts any date object to a date object representing the first day of the month.
     * @param {Object} date - Date to convert to the first day of the month.
     * @returns {Object} Returns the auro-calendar-months HTML.
     */
    convertDateToFirstOfMonth(date: any): any;
    /**
     * Calculate the number of months between two dates.
     * @param {Object} date1 - First date to compare.
     * @param {Object} date2 - Second date to compare.
     * @returns {Number} Returns the number of months between the two dates.
     */
    monthDiff(date1: any, date2: any): number;
    /**
     * Convert a date object to string format.
     * @private
     * @param {Object} date - Date to convert to string.
     * @returns {Object} Returns the date as a string.
     */
    private getDateAsString;
    /**
     * Function to generate checkmark svg.
     * @private
     * @param {Object} icon - Icon object containing the SVG.
     * @returns {Object} Returns the svg portion of the icon object.
     */
    private generateIconHtml;
    dom: Document;
    svg: ChildNode;
    /**
     * Compares two dates to see if they match.
     * @private
     * @param {Object} date1 - First date to compare.
     * @param {Object} date2 - Second date to compare.
     * @returns {Boolean} Returns true if the dates match.
     */
    private datesMatch;
}
//# sourceMappingURL=utilities.d.ts.map