export class CalendarUtilities {
    util: AuroDatepickerUtilities;
    /**
     * Scroll the calendar month list to a given valid date if in mobile view.
     * @param {Object} elem - The calendar element.
     * @param {String} date - The date to scroll into view.
     * @returns {void}
     */
    scrollMonthIntoView(elem: any, date: string): void;
    /**
     * Sends an event requesting the dropdown bib be closed.
     * @private
     * @returns {void}
     */
    private requestDismiss;
    /**
     * Handles the visibility of the previous and next month buttons.
     * @private
     * @param {Object} elem - The auro-calendar element.
     * @returns {void}
     */
    private assessNavigationButtonVisibility;
    /**
     * Handles the change of the centralDate property.
     * @param {Object} elem - The auro-calendar element.
     * @private
     * @returns {void}
     */
    private centralDateChanged;
    /**
     * Updates the month and year when the user navigates to a different calendar month.
     * @param {Object} elem - The auro-calendar element.
     * @param {String} direction - The direction the user is navigating.
     * @returns {void}
     */
    handleMonthChange(elem: any, direction: string): void;
}
import { AuroDatepickerUtilities } from './utilities.js';
//# sourceMappingURL=utilitiesCalendar.d.ts.map