export class UtilitiesCalendarRender {
    util: AuroDatepickerUtilities;
    /**
     * Attempt to update the central date but only if the date is a valid date.
     * @param {Object} elem - The element to set the centralDate on.
     * @param {String} date - The date to set the centralDate to.
     * @private
     */
    private updateCentralDate;
    /**
     * Determine how many months to render based on the defined calendar range.
     * @param {Object} elem - The auro-calendar element.
     * @private
     * @returns {Number} Returns the number of months between the calendarStartDate and the calendarEndDate.
     */
    private determineDefinedCalendarRange;
    /**
     * Determines how many calendar months can be rendered based on the screen size and defined range.
     * @param {Object} elem - The auro-calendar element.
     * @private
     * @returns {Number} Returns the maximum number of months that can be rendered.
     */
    private maximumRenderableMonths;
    /**
     * Determines the number of months rendered inside the calendar.
     * @param {Object} elem - The auro-calendar element.
     * @private
     * @returns {void}
     */
    private determineNumCalendarsToRender;
    /**
     * Determine which month is to be rendered first.
     * @param {Object} elem - The auro-calendar element.
     * @private
     * @returns {void}
     */
    private setFirstRenderableMonthDate;
    /**
     * Renders one auro-calendar-month HTML for the given month/date combination.
     * @private
     * @param {Object} elem - The auro-calendar element.
     * @param {Number} month - Month the calendar displays.
     * @param {Number} year - Year the calendar displays.
     * @returns {Object} Returns the auro-calendar-month HTML.
     */
    private renderCalendar;
}
import { AuroDatepickerUtilities } from './utilities.js';
//# sourceMappingURL=utilitiesCalendarRender.d.ts.map